Print an error message when we exit out early.

PR: 136889
Submitted by: Aragon Gouveia
This commit is contained in:
imp 2014-03-14 19:46:18 +00:00
parent 6accd0a3b4
commit 74473d60f7

View File

@ -167,6 +167,13 @@ NANO_DATADIR=""
#
#######################################################################
nano_cleanup ( ) (
if [ $? -ne 0 ]; then
echo "Error encountered. Check for errors in last log file." 1>&2
fi
exit $?
)
clean_build ( ) (
pprint 2 "Clean and create object directory (${MAKEOBJDIRPREFIX})"
@ -576,7 +583,8 @@ create_i386_diskimage ( ) (
fi
mdconfig -d -u $MD
trap - 1 2 15 EXIT
trap - 1 2 15
trap nano_cleanup EXIT
) > ${NANO_OBJ}/_.di 2>&1
)
@ -929,6 +937,8 @@ if [ $# -gt 0 ] ; then
usage
fi
trap nano_cleanup EXIT
#######################################################################
# Setup and Export Internal variables
#